DEMANGLE(1)

NAME
demangle - Decodifica nomes de símbolos C++

SYNOPSIS

demangle

DESCRIçãO

demangle lê uma lista de símbolos codificados C++ do 'standard input' e converte esses nome para um formato legível no 'standard output'.

Este utilitário faz parte do Kit de Desenvolvimento de Software (SDK) do KDE.

EXEMPLO

Crie um arquivo chamado nomes com os seguintes nomes de símbolos codificados:
_ZNK6Object10metaObjectEv
_ZN8QPtrListI5ArrowE5clearEv
_ZTC4Kolf0_11KMainWindow

Este nomes podem ser descodificados da seguinte forma:

    exemplo$ demangle < nomes Object::metaObject() const QPtrList<Arrow>::clear() construction vtable for KMainWindow-in-Kolf

VEJA TAMBéM

kminspector(1) kmtrace(1) match(1)

AUTHOR
Ben Burton.